queue.Empty #398

Closed
Confuseh opened this Issue Jan 19, 2016 · 6 comments

Comments

5 participants

Stopped working couple days ago
Console spits out this whenever it tries to pylint any python code

SublimeLinter: error in SublimeLinter daemon: 
SublimeLinter: -------------------- 
SublimeLinter: Traceback (most recent call last):
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/queue.py", line 57, in loop
    item = self.q.get(block=True, timeout=self.MIN_DELAY)
  File "./queue.py", line 175, in get
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/queue.py", line 65, in loop
    self.lint(view_id, timestamp)
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/queue.py", line 111, in lint
    self.callback(view_id, timestamp)
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/sublimelinter.py", line 119, in lint
    Linter.lint_view(view, filename, code, hit_time, callback)
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/linter.py", line 924, in lint_view
    linter.lint(hit_time)
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/linter.py", line 1367, in lint
    cmd = self.get_cmd()
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/linter.py", line 1119, in get_cmd
    return self.build_cmd()
  File "/home/confuseh/.config/sublime-text-3/Packages/SublimeLinter/lint/linter.py", line 1169, in build_cmd
    cmd[0:1] = util.convert_type(os.path.abspath(path), [])
  File "./posixpath.py", line 379, in abspath
  File "./posixpath.py", line 64, in isabs
AttributeError: 'tuple' object has no attribute 'startswith'

SublimeLinter: -------------------- 

sublime: build 3083
sublimelinter: 3.6.0
pylint: 1.5.3
sublimelinter-pylint: 1.3.1
py3: 3.5.1

should I reference this issue in sublimelinter-pylint aswell? SublimeLinter itself is the one being outputted in console, so thought it belongs here.

Owner

groteworld commented Jan 19, 2016

Dup of #395

Restart ST and SLv3.6.1 should download. See if that doesn't fix the issue.

Oh great. Thanks.
Works just fine.

@Confuseh Confuseh closed this Jan 19, 2016

DrMiaow commented Jan 23, 2017

This appears to be back in in SLv3.7.4

SublimeLinter: debug mode: off 
SublimeLinter: error in SublimeLinter daemon: 
SublimeLinter: -------------------- 
SublimeLinter: Traceback (most recent call last):
  File "C:\Users\James2\AppData\Roaming\Sublime Text 3\Packages\SublimeLinter\lint\queue.py", line 57, in loop
    item = self.q.get(block=True, timeout=self.MIN_DELAY)
  File "./python3.3/queue.py", line 175, in get
queue.Empty

jacobdr commented Feb 15, 2017

Also related to: SublimeLinter/SublimeLinter-rubocop#28

Uninstalling and then reinstalling sublimelinter via package control solved the issue for me

Error related to the project settings for me :

"SublimeLinter":
	{
-		"@python": 3.4,
"SublimeLinter":
	{
+		"@python": "3.4",

jacobdr commented Apr 21, 2017

Or the poor mans way out... pyenv install 3.3.6

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment